Module java.desktop
Package javax.swing.plaf

## Class BorderUIResource.LineBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.LineBorder
    - - javax.swing.plaf.BorderUIResource.LineBorderUIResource

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.LineBorderUIResource
    extends LineBorder
    implements UIResource

A line border UI resource.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.border.LineBorder

`lineColor, roundedCorners, thickness`

### Constructor Summary

Constructors
`LineBorderUIResource​(Color color)` Constructs a `LineBorderUIResource`.
`LineBorderUIResource​(Color color, int thickness)` Constructs a `LineBorderUIResource`.

### Method Summary

### Methods declared in class javax.swing.border.LineBorder

`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque, paintBorder`

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineBorderUIResource

    public LineBorderUIResource​(Color color)

Constructs a `LineBorderUIResource`.

Parameters:
  `color` - the color for the border

#### LineBorderUIResource

    @ConstructorProperties({"lineColor","thickness"})
    public LineBorderUIResource​(Color color,
                                int thickness)

Constructs a `LineBorderUIResource`.

Parameters:
  `color` - the color for the border
  `thickness` - the thickness of the border